PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"assistants": [
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Assistants
List assistants
List of all assistants in a project.
For guidance and examples, see Manage assistants.
GET
/
assistants
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"assistants": [
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Pinecone API Key
Headers
Required date-based version header
Query Parameters
Limit on the number of assistants to return. Default is 50. Minimum is 1. Maximum is 100.
Pagination token to continue a previous listing operation.
Was this page helpful?